de.esprit.appsuite.appstore.ndf

## Class CommandLineOptionDescription

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.common.util.TransferableObject
    - - de.esprit.appsuite.appstore.ndf.CommandLineOptionDescription

- All Implemented Interfaces:
    DeepCloneable, Dumpable, java.io.Serializable, java.lang.Cloneable

      public class CommandLineOptionDescription
      extends TransferableObject

  This class describes a command-line-option for being displayed in a GUI.
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CommandLineOptionDescription(java.lang.String option, java.lang.String argDescr, java.lang.String dataTypeStr, java.lang.String mode, java.lang.String defaultValue, java.lang.String min, java.lang.String max, java.lang.String helpText)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getArgDescription()`
    `CommandLineOptionDataType` | `getDataType()`
    `java.lang.String` | `getDefaultValue()`
    `java.lang.String` | `getHelpText()`
    `java.lang.String` | `getMax()`
    `java.lang.String` | `getMin()`
    `java.lang.String` | `getMode()`
    `java.lang.String` | `getOption()`
    `DumpString` | `toDumpString(DumpString s)` This method allows subclasses to add values to the existing DumpString of the superclass.
    `ToString` | `toString(ToString s)` This method allows subclasses to add values to the existing ToString of the superclass.

    - ### Methods inherited from class de.esprit.common.util.TransferableObject

      `clone, deepClone`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CommandLineOptionDescription

          public CommandLineOptionDescription(java.lang.String option,
                                      java.lang.String argDescr,
                                      java.lang.String dataTypeStr,
                                      java.lang.String mode,
                                      java.lang.String defaultValue,
                                      java.lang.String min,
                                      java.lang.String max,
                                      java.lang.String helpText)

  - ### Method Detail

    - #### getOption

          public java.lang.String getOption()

    - #### getDefaultValue

          public java.lang.String getDefaultValue()

    - #### getDataType

          public CommandLineOptionDataType getDataType()

    - #### getMode

          public java.lang.String getMode()

    - #### getMin

          public java.lang.String getMin()

    - #### getMax

          public java.lang.String getMax()

    - #### getArgDescription

          public java.lang.String getArgDescription()

    - #### getHelpText

          public java.lang.String getHelpText()

    - #### toString

          public ToString toString(ToString s)

      Description copied from interface: `Dumpable`
      This method allows subclasses to add values to the existing ToString of the superclass. Usually subclasses only need to override this method.
      Specified by:
        `toString` in interface `Dumpable`
      Overrides:
        `toString` in class `DumpableObject`

    - #### toDumpString

          public DumpString toDumpString(DumpString s)

      Description copied from interface: `Dumpable`
      This method allows subclasses to add values to the existing DumpString of the superclass. Usually subclasses only need to override this method.
      Specified by:
        `toDumpString` in interface `Dumpable`
      Overrides:
        `toDumpString` in class `DumpableObject`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.